# Uses of Interface
org.eclipse.birt.report.model.api.IModuleOption

Packages that use IModuleOption
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of IModuleOption in org.eclipse.birt.report.model.api

Classes in org.eclipse.birt.report.model.api that implement IModuleOption
Modifier and Type
Class
Description
`class`
`ModuleOption`
Provide the way to do some setting about the module.
Methods in org.eclipse.birt.report.model.api with parameters of type IModuleOption
Modifier and Type
Method
Description
`IReportDesign`
DesignEngine.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.
`IReportDesign`
IDesignEngine.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.

## Uses of IModuleOption in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type IModuleOption
Modifier and Type
Method
Description
`IReportDesign`
DesignEngineImpl.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.